package com.goafanti.common.dao;

import java.util.List;
import java.util.Map;

import com.goafanti.common.model.Activity;

public interface ActivityMapper {
    int deleteByPrimaryKey(Long id);

    int insert(Activity record);

    int insertSelective(Activity record);

    Activity selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(Activity record);

    int updateByPrimaryKeyWithBLOBs(Activity record);

    int updateByPrimaryKey(Activity record);

	int batchDeleteByPrimaryKey(List<String> id);

	List<Activity> findPortalList(Map<String, Object> params);
}